Package lxml :: Module etree :: Class XSLTAccessControl

[frames] | no frames]

# Class XSLTAccessControl

    object --+
             |
            XSLTAccessControl

XSLTAccessControl(self, read_file=True, write_file=True, create_dir=True, read_network=True, write_network=True)

Access control for XSLT: reading/writing files, directories and network I/O. Access to a type of resource is granted or denied by passing any of the following boolean keyword arguments. All of them default to True to allow access.

- read_file
- write_file
- create_dir
- read_network
- write_network

See XSLT.

Instance Methods

__init__(self, read_file=True, write_file=True, create_dir=True, read_network=True, write_network=True) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

a new object with type S, a subtype of T

__new__(T, S, ...) |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, read_file=True, write_file=True, create_dir=True, read_network=True, write_network=True)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__

### __new__(T, S, ...)

Returns: a new object with type S, a subtype of T
Overrides: object.__new__